package net.roseindia.action;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts2.ServletActionContext;

import net.roseindia.dao.ApplicationDAO;
import net.roseindia.model.SearchModel;
import net.roseindia.model.StudentAdmissionModel;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.ModelDriven;

public class SearchAction extends ActionSupport implements ModelDriven<SearchModel>{
	private static final long serialVersionUID = 1L;
	SearchModel searchModel;
	HttpServletRequest request=(HttpServletRequest)ActionContext.getContext().get(ServletActionContext.HTTP_REQUEST);
	public SearchAction() {
	}

	public String execute() throws Exception {
		ApplicationDAO student=new ApplicationDAO();
		
		if(searchModel.getS_roll()!=null && searchModel.getS_name()==null && searchModel.getCalss1()==null){		
		int roll=Integer.parseInt(searchModel.getS_roll());	
		StudentAdmissionModel model=student.search(roll);
		request.setAttribute("data", model);
		}
		else{		
			System.out.println("Inside Model");
			System.out.println(searchModel.getCalss1());
			StudentAdmissionModel model=student.search(searchModel);
			request.setAttribute("data", model);
		}
		return SUCCESS;
	}

	public SearchModel getModel() {
		searchModel = new SearchModel();
		return searchModel;
	}	
}
