package net.roseindia.action;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import net.roseindia.dao.ApplicationDAO;
import net.roseindia.model.StudentAdmissionModel;

import org.apache.struts2.ServletActionContext;
import org.apache.struts2.interceptor.SessionAware;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.ModelDriven;

public class SearchForUpdateAction extends ActionSupport implements
		ModelDriven<Object>, SessionAware {
	ActionContext context = ActionContext.getContext();
	HttpServletRequest request = (HttpServletRequest) context
			.get(ServletActionContext.HTTP_REQUEST);
	Map<String, Object> session;
	StudentAdmissionModel setValueofBean;

	public String execute() throws Exception {
		String sRoll = request.getParameter("id");
		List<String> updateDataList = new ArrayList<String>();
		ApplicationDAO student = new ApplicationDAO();
		Integer roll = Integer.parseInt(sRoll);
		StudentAdmissionModel obUpdateModel=student.search1(sRoll);
		request.setAttribute("Model", obUpdateModel);
//		request.setAttribute("roll", roll);
		updateDataList.add(obUpdateModel.getAddress());
		if (updateDataList.isEmpty()) {
			addActionError("Record is not available in data base.");
			return ERROR;
		} else {
			session.put("UpdateData", updateDataList);
			return SUCCESS;
		}
	}

	public StudentAdmissionModel getModel() {
		setValueofBean = new StudentAdmissionModel();
		return setValueofBean;
	}

	public Map getSession() {
		return session;
	}

	public void setSession(Map session) {
		this.session = session;
	}

	public String showform() {
		return SUCCESS;
	}
}
